<?php
/**
* Plugin Name: Taager
* Description: A plugin to manage Woocommerce products, orders with Taager.
* Author: Taager
* Version: 1.9.1
* Text Domain: taager-plugin
* Domain Path: /languages
**/

defined( 'ABSPATH' ) || exit;

require_once plugin_dir_path( __FILE__ ) . 'includes/ta-admin-functions.php';
require_once plugin_dir_path( __FILE__ ) . 'includes/ta-functions.php';
require_once plugin_dir_path( __FILE__ ) . 'includes/ta-checkbox.php';
require_once plugin_dir_path( __FILE__ ) . 'includes/ta-setup.php';
require_once plugin_dir_path( __FILE__ ) . 'includes/ta-scheduled-tasks.php';
require_once plugin_dir_path( __FILE__ ) . 'includes/ta-products-import.php';
require_once plugin_dir_path( __FILE__ ) . 'includes/ta-color-variants-mapper.php';
require_once plugin_dir_path( __FILE__ ) . 'includes/ta-orders.php';
require_once plugin_dir_path( __FILE__ ) . 'includes/ta-mixpanel-tracking.php';
require_once plugin_dir_path( __FILE__ ) . 'includes/pages/ta-account.php';
require_once plugin_dir_path( __FILE__ ) . 'includes/pages/ta-country-selection.php';
require_once plugin_dir_path( __FILE__ ) . 'includes/pages/ta-products-import-page.php';
require_once plugin_dir_path( __FILE__ ) . 'includes/pages/ta-checkout.php';

/**
 * Create a new table for Provinces when activate this plugin
 */
register_activation_hook( __FILE__, 'create_taager_provinces_table' );
function create_taager_provinces_table() {
    global $wpdb;

    $table_full_name = $wpdb->prefix . 'taager_provinces';

    $charset_collate = $wpdb->get_charset_collate();

    // Check to see if the table exists already, if not, then create it
    if ($wpdb->get_var( "show tables like '$table_full_name'" ) != $table_full_name) {
        $sql = "CREATE TABLE $table_full_name (
            id int NOT NULL auto_increment,
            province varchar(255) NOT NULL,
            shipping_revenue int NOT NULL,
            active_status boolean NOT NULL,
            PRIMARY KEY (id)
        ) $charset_collate;";

        require_once( ABSPATH . '/wp-admin/includes/upgrade.php' );
        dbDelta($sql);
    }

    add_option( 'ta_initial_status', '' );
    add_option( 'ta_product_import_status', '' );
    add_option( 'ta_last_category_filter', '' );
    add_option( 'ta_last_name_filter', '' );
    add_option( 'import_gallery_lists', [] );
	
	$plugin_data = get_plugin_data( __FILE__ );
	$plugin_version = $plugin_data['Version'];

    taager_on_register_prepare( $plugin_version );
}

/**
 * Clear cron event when deactivate this plugin
 */
register_deactivation_hook( __FILE__, 'taager_deactivate_plugin' );
function taager_deactivate_plugin() {
    taager_clear_cron_events();

	$plugin_data = get_plugin_data( __FILE__ );
	$plugin_version = $plugin_data['Version'];

    taager_on_deactivation_prepare( $plugin_version );
}

// Load plugin textdomain.
add_action( 'init', 'taager_plugins_loaded' );

function taager_plugins_loaded() {
    load_plugin_textdomain( 'taager-plugin', false, dirname( plugin_basename( __FILE__ ) ) . '/languages' );
}
